test: _LAZY_WRITER struct Reference

Main Page | Class Hierarchy | Class List | File List | Class Members | File Members

# _LAZY_WRITER Struct Reference

`#include <cc.h>`

List of all members.

## Public Attributes

PEPROCESS | OurProcess
LIST_ENTRY | WorkQueue
ZONE_HEADER | BcbZone
KDPC | ScanDpc
KTIMER | ScanTimer
BOOLEAN | ScanActive
BOOLEAN | OtherWork

## Member Data Documentation

ZONE_HEADER _LAZY_WRITER::BcbZone

| Definition at line 1451 of file cc.h. Referenced by CcAllocateInitializeBcb(), CcDeallocateBcb(), and CcInitializeCacheManager().

BOOLEAN _LAZY_WRITER::OtherWork

| Definition at line 1471 of file cc.h. Referenced by CcFlushCache(), CcGetFlushedValidData(), CcGetVacbMiss(), CcInitializeCacheMap(), CcLazyWriteScan(), CcMdlWriteComplete2(), CcPerformReadAhead(), CcPurgeCacheSection(), CcSetFileSizes(), CcUninitializeCacheMap(), CcWaitForCurrentLazyWriterActivity(), and CcZeroEndOfLastPage().

PEPROCESS _LAZY_WRITER::OurProcess

| Definition at line 1439 of file cc.h. Referenced by CcInitializeCacheManager().

BOOLEAN _LAZY_WRITER::ScanActive

| Definition at line 1464 of file cc.h. Referenced by CcDeferWrite(), CcFlushCache(), CcGetFlushedValidData(), CcGetVacbMiss(), CcInitializeCacheMap(), CcLazyWriteScan(), CcMdlWriteComplete2(), CcPerformReadAhead(), CcPurgeCacheSection(), CcScanDpc(), CcScheduleLazyWriteScan(), CcSetDirtyInMask(), CcSetDirtyPinnedData(), CcSetFileSizes(), CcUninitializeCacheMap(), CcWaitForCurrentLazyWriterActivity(), and CcZeroEndOfLastPage().

KDPC _LAZY_WRITER::ScanDpc

| Definition at line 1457 of file cc.h. Referenced by CcCanIWrite(), CcInitializeCacheManager(), and CcScheduleLazyWriteScan().

KTIMER _LAZY_WRITER::ScanTimer

| Definition at line 1458 of file cc.h. Referenced by CcCanIWrite(), CcInitializeCacheManager(), and CcScheduleLazyWriteScan().

LIST_ENTRY _LAZY_WRITER::WorkQueue

| Definition at line 1445 of file cc.h. Referenced by CcInitializeCacheManager().

The documentation for this struct was generated from the following file:

- cc.h